curl --request GET \
--url https://sandbox.api.byzantine.fi/v1/query/events \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/events"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://sandbox.api.byzantine.fi/v1/query/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"events": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"type": "customer.created",
"occurredAt": "2023-11-07T05:31:56Z",
"livemode": true,
"payloadVersion": 123,
"related": {
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"userId": "550e8400-e29b-41d4-a716-446655440000",
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"beneficiaryId": "550e8400-e29b-41d4-a716-446655440000",
"transactionId": "550e8400-e29b-41d4-a716-446655440000"
},
"createdAt": "2023-11-07T05:31:56Z",
"data": "<unknown>"
}
],
"nextCursor": "<string>"
}Lists persisted lifecycle events owned by the authenticated integrator, newest first.
curl --request GET \
--url https://sandbox.api.byzantine.fi/v1/query/events \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/events"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://sandbox.api.byzantine.fi/v1/query/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"events": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"type": "customer.created",
"occurredAt": "2023-11-07T05:31:56Z",
"livemode": true,
"payloadVersion": 123,
"related": {
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"userId": "550e8400-e29b-41d4-a716-446655440000",
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"beneficiaryId": "550e8400-e29b-41d4-a716-446655440000",
"transactionId": "550e8400-e29b-41d4-a716-446655440000"
},
"createdAt": "2023-11-07T05:31:56Z",
"data": "<unknown>"
}
],
"nextCursor": "<string>"
}Authorizations
Headers
Integrator's ECDSA public key (P-256 curve, compressed SEC1 format). Example: 0x038fedef7c12f93bbf342ad8943b7a825a3b41f61c9dc118b2c718efebabbf62fd
Unix timestamp in seconds (UTC). Must be within tolerance window (1 minute) to prevent replay attacks. Example: 1760375826
ECDSA signature (DER-encoded, hex with 0x prefix). Signs the message: {timestamp}{METHOD}{path_and_query}{json_body}. Example: 0x3045022100...
Query Parameters
Filter by account ID. A UUID string
"550e8400-e29b-41d4-a716-446655440000"
Filter by user ID. A UUID string
"550e8400-e29b-41d4-a716-446655440000"
Filter by transaction ID. A UUID string
"550e8400-e29b-41d4-a716-446655440000"
Filter by a lifecycle event type. webhook.test is not a lifecycle event.
Exclusive lower bound on database creation time.
Exclusive upper bound on database creation time.
Opaque page cursor. Keep filters unchanged while paging.
Page size from 1 to 250. Defaults to 100.

